Bug 173792 - NM doesn't offer WLAN connection
NM doesn't offer WLAN connection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 03:50 EST by Nils Philippsen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 03:23:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2005-11-21 03:50:57 EST
Description of problem:

NM doesn't detect my WLAN (non-announcing WEP 128bit) anymore after the latest
update of NM, i.e. it doesn't ask me for a passphrase nor brings the "rotating
dots icon", it just stays at the "broken network plug". When stopping NM and
doing "iwconfig essid ...; iwconfig key ...; dhclient eth1" it works flawlessly.

When plugging in the PCMCIA WLAN card (prism54 chipset), I get the following in
syslog:

--- 8< ---
Nov 21 09:09:16 gibraltar NetworkManager: <debug info>  [1132560556.505030]  ():
New device added (hal udi is '/org/freedesktop/Hal/devices/net_00_30_b4_00_00_00').
Nov 21 09:09:16 gibraltar kernel: eth1: resetting device...
Nov 21 09:09:16 gibraltar kernel: eth1: uploading firmware...
Nov 21 09:09:16 gibraltar kernel: eth1: firmware version: 1.0.4.3
Nov 21 09:09:16 gibraltar kernel: eth1: firmware upload complete
Nov 21 09:09:17 gibraltar kernel: eth1: interface reset complete
Nov 21 09:09:17 gibraltar NetworkManager: nm_is_driver_supported: assertion
`dev->driver != NULL' failed
Nov 21 09:09:17 gibraltar NetworkManager: <information> eth1: Driver support
level for '(null)' is unsupported
Nov 21 09:09:17 gibraltar NetworkManager: <information> nm_device_new(): waiting
for device's worker thread to start
Nov 21 09:09:17 gibraltar NetworkManager: <information> nm_device_new():
device's worker thread started, continuing.
Nov 21 09:09:17 gibraltar NetworkManager: <information> Now managing wireless
device 'eth1'.
Nov 21 09:09:17 gibraltar NetworkManager: <information> Deactivating device eth1.
Nov 21 09:09:17 gibraltar NetworkManager: nm_try_acquire_mutex: assertion `mutex
!= NULL' failed
Nov 21 09:09:22 gibraltar last message repeated 3 times
--- >8 ---

Version-Release number of selected component (if applicable):
NetworkManager-0.5.1-1.FC4.4

Additional info:
With the previous version (NetworkManager-0.4-20.FC4.1) it worked just fine.
Comment 1 Benjamin Mack 2005-11-26 02:08:07 EST
I have the same problem. Especially this "nm_try_acquire_mutex: assertion...
failed" thing happens all the time. This bug could also be connected to a change
in the HAL interface.
Comment 2 Nils Philippsen 2006-03-07 03:23:00 EST
Lately it started working again although I'm not quite sure exactly when as I
often brang up the connection manually and didn't always try whether NM did the
right thing again.

Note You need to log in before you can comment on or make changes to this bug.